# Uses of Enum Class
com.ocient.jdbc.XGConnection.Tls

Packages that use XGConnection.Tls
Package
Description
com.ocient.jdbc
com.ocient.transport

## Uses of XGConnection.Tls in com.ocient.jdbc

Fields in com.ocient.jdbc declared as XGConnection.Tls
Modifier and Type
Field
Description
`protected XGConnection.Tls`
XGConnection.`tls`
Methods in com.ocient.jdbc that return XGConnection.Tls
Modifier and Type
Method
Description
`XGConnection.Tls`
XGConnectionInfo.`getTls()`
`static XGConnection.Tls`
XGConnection.Tls.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XGConnection.Tls[]`
XGConnection.Tls.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc with parameters of type XGConnection.Tls
Modifier and Type
Method
Description
`static XGConnectionInfo.Builder`
XGConnectionInfo.`primaryConnection(String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties)`
Creates a new primary connection to a database server.
`XGConnectionInfo.Builder`
XGConnectionInfo.Builder.`setRequiredProperties(XGConnectionInfo.Hint hint, String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties)`
`XGConnectionInfo.Builder`
XGConnectionInfo.Builder.`setTls(XGConnection.Tls tls)`
`static XGConnection`
XGConnection.`TEST_createConnection(String user, String pwd, String ip, int portNum, String url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`
Constructors in com.ocient.jdbc with parameters of type XGConnection.Tls
Modifier
Constructor
Description
``
`XGTrustManager(XGConnection.Tls t)`

## Uses of XGConnection.Tls in com.ocient.transport

Methods in com.ocient.transport with parameters of type XGConnection.Tls
Modifier and Type
Method
Description
`CompletionStage<TransportResult<JavaNetOcientWireV1Transport>>`
JavaNetOcientWireV1Transport.Factory.`connect(String host, int port, XGConnection.Tls tls, int connectTimeout)`
`CompletionStage<TransportResult<NettyOcientWireV1Transport>>`
NettyOcientWireV1Transport.Factory.`connect(String host, int port, XGConnection.Tls tls, int connectTimeout)`
`CompletionStage<TransportResult<T>>`
SimplexTransportFactory.`connect(String host, int port, XGConnection.Tls tls, int connectTimeout)`
Connects to a remote host using the specified transport and configuration.